Page MenuHomePhabricator

Civi dedupe: ask 'force merge' script to prefer most recent contrib data
Closed, ResolvedPublic

Description

Following up on this week's fr-tech/ds meeting, generally the name data from the most recent contrib is more accurate, so if the script could prefer it when resolving conflicts (either visibly in the deduper interface or silently) that would be helpful.

@Eileenmcnaughton I checked but didn't see an existing task related this.

Event Timeline

MBeat33 created this task.Sep 5 2019, 8:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2019, 8:37 PM

@NNichols depending on what we cover in tomorrow's meeting with Sandra, I may close this task. Seems like the Deduper interface, older dedupe interface, and the script should all be aligned on this.

Yes this would be super helpful. We (MG&E) generally use the name data from the most recent donation and save any other name variants in the nickname field.

@MBeat33 @LeanneS @NNichols @RLewis @krobinson

I've just deployed this change. To clarify what it means is that when you use the deduper & choose 'safe merge' then it will merge if there are no conflicts or it will show the conflicts if there are some (this includes if the Prospecting data is in conflict).

If you then click 'force merge' it will merge the 2 - keeping the data from the most recent donor where there are conflcts eg.

Ergle McNaughton gave in 2018 & Eileen McNaughton gave in 2019

  • Safe merge = no merge
  • force merge is Merge, keep the id from Ergle McNaughton but resolve the name conflict by keeping the name from the most recent donor - here it is Eileen

The safe merge behaviour is the same behaviour as the automatic dedupes and the button on the merge screen to batch merge. The merge screen 'force merge' button does the same as the 'force merge' in the deduper.

The legacy merge screen only does 'what you tell it to'.

@MBeat33 I think we can close this....

SHust added a subscriber: SHust.Mar 3 2020, 8:58 PM
Eileenmcnaughton closed this task as Resolved.Aug 4 2020, 8:29 PM